=== debian/changelog ===
missingh (0.8.0) unstable; urgency=low

  * New HVIO, HVFS modules.
  * Expanded MissingH.Path thanks to code from Volker Wysk's 
    HsShellScript.
  * Renamed MissingH.Network.FTP.Parser to
    MissingH.Network.FTP.ParserClient.
  * New FTP server modules.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 20 Dec 2004 13:47:04 -0600

missingh (0.7.5) unstable; urgency=low

  * New module: MissingH.Email.Parser.
  * Added recurse directory funtions to MissingH.Path.
  * Added temporary directory functions to MissingH.Path.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  9 Dec 2004 09:10:35 -0600

missingh (0.7.4) unstable; urgency=low

  * Revved hsemail to 2004-11-01.
  * Imported blockio 2004-11-12.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  6 Dec 2004 11:57:20 -0600

missingh (0.7.3) unstable; urgency=low

  * Adding missing ConfigParser.Lexer to Setup.Description.

 -- John Goerzen <jgoerzen@complete.org>  Sun,  5 Dec 2004 14:59:02 -0600

missingh (0.7.2) unstable; urgency=low

  * New modules: MissingH.FileArchive.GZip, MissingH.Checksum.CRC32.GZip,
    MissingH.Checksum.CRC32.Posix, MissingH.Compression.Inflate

 -- John Goerzen <jgoerzen@complete.org>  Sat,  4 Dec 2004 17:25:25 -0600

missingh (0.7.1) unstable; urgency=low

  * Applied some helpful patches from Einar Karttunen.  The main feature
    is turning MissingH.ConfigParser.get into an instance of a class
    so it can be extended to return various types.  Please note:
    if you used getbool() or getnum() in 0.7.0, these functions are now
    gone, since they are no longer needed.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  3 Dec 2004 10:07:44 -0600

missingh (0.7.0) unstable; urgency=low

  * Major new feature: ConfigParser. 
  * Rewrote unit tests to use hunit more effectively.
  * Other new modules: MissingH.Either.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 02 Dec 2004 19:37:14 -0600

missingh (0.6.2) unstable; urgency=low

  * New "generic" sprintf functions.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 18 Nov 2004 09:00:03 -0600

missingh (0.6.0) unstable; urgency=low

  * Major new feature: Printf module.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 15 Nov 2004 15:28:29 -0600

missingh (0.5.4) unstable; urgency=low

  * Added build-dep-indep on libhugs-hunit and re-enabled Hugs unit tests.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 29 Oct 2004 08:39:28 -0500

missingh (0.5.3) unstable; urgency=low

  * Don't run Hugs tests for now.  Closes: #278802.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 29 Oct 2004 08:25:21 -0500

missingh (0.5.2) unstable; urgency=low

  * New module: sendmail
  * New popen functions in MissingH.Cmd.
  * Added splitRe, subRe to Str.hs.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 26 Oct 2004 16:38:01 -0500

missingh (0.5.1) unstable; urgency=low

  * Added libghc6-hunit-dev to build-depends.  Closes: #278138.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 24 Oct 2004 22:21:21 -0500

missingh (0.5.0) unstable; urgency=low

  * Lots of new code: FTP, MIME, Wash, Hsemail, etc.
  * Rebuilt for new ghc.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 24 Oct 2004 01:46:35 -0500

missingh (0.4.2) unstable; urgency=low

  * Added MissingH.List.contains
  * Added MissingH.Threads

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Oct 2004 10:02:03 -0500

missingh (0.4.1) unstable; urgency=low

  * Added haskell-src to build-depends.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 15 Oct 2004 15:46:57 -0500

missingh (0.4.0) unstable; urgency=low

  * Added logging infrastructure and Syslog handler.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  8 Oct 2004 20:15:52 -0500

missingh (0.2.0) unstable; urgency=low

  * Renamed to more standard names: MissingH.IO, MissingH.List,
    MissingH.Str.
  
  * Moved binary functions into new module MissingH.IO.Binary.
  
  * Added unit tests and test cases for List and Str.
  
  * Moved Debian code to use dh_haskell.

  * Build Hugs package for Debian.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  6 Oct 2004 21:36:47 -0500

missingh (0.1.0) unstable; urgency=low

  * Initial Release.  Closes: #275070.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  5 Oct 2004 16:17:09 -0500
