=== debian/changelog ===
missingh (0.10.7.sarge.2) unstable; urgency=high

  * Fixed build-depends-indep from 0.10.7.sarge.1.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 22 Apr 2005 21:37:42 -0500

missingh (0.10.7.sarge.1) unstable; urgency=high

  * Back out hugs code so we can get it into sarge and fix a FTBFS in sarge.
    Closes: #305901.
  * After this propogates to sarge, I will upload 0.10.8 to sid that will
    restore the updates to work with the hugs in sid.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 22 Apr 2005 20:41:48 -0500

missingh (0.10.7) unstable; urgency=low

  * Fixed MissingH.Debian.ControlParser to ignore PGP sigs.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Apr 2005 20:39:58 -0500

missingh (0.10.6) unstable; urgency=low

  * New module: MissingH.GetOpt.
  * New AL utilities in MissingH.List.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Apr 2005 14:01:52 -0500

missingh (0.10.5) unstable; urgency=low

  * Yet more features in MissingH.Cmd.  This time, added hPipe*.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 17 Apr 2005 16:37:50 -0500

missingh (0.10.4) unstable; urgency=low

  * Reworking and bugfixing of the new pipe functions in MissingH.Cmd.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 17 Apr 2005 10:09:24 -0500

missingh (0.10.3) unstable; urgency=low

  * Added new pipe functions to MissingH.Cmd.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 17 Apr 2005 00:06:52 -0500

missingh (0.10.2) unstable; urgency=low

  * Minor fix to logging in MissingH.Cmd.
  * Documentation example fixes.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 16 Apr 2005 22:13:38 -0500

missingh (0.10.1) unstable; urgency=low

  * Imported Bjorn Bringert's ParseDate.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  6 Apr 2005 07:14:33 -0500

missingh (0.10.0) unstable; urgency=low

  * Compatibility with new Hugs and GHC releases.
  * New modules: MissingH.Debian, MissingH.Debian.ControlParser,
    MissingH.Str.CSV, MissingH.Maybe
  * New MissingH.List functions: wholeMap, fixedWidth
  * New function: MissingH.Time.epochToClockTime
  * Updated HVFS utilities to use epochToClockTime for compatibility
    with the newer Hugs
  * New features in MissingH.IO.Binary: readBinaryFile, writeBinaryFile.
    Make sure tests use these features where appropriate.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  5 Apr 2005 06:33:12 -0500

missingh (0.9.2) unstable; urgency=low

  * New modules: MissingH.Debian, MissingH.Debian.ControlParser
  * Temporary changes to work with new Hugs

 -- John Goerzen <jgoerzen@complete.org>  Tue, 15 Mar 2005 09:18:10 -0600

missingh (0.9.1) unstable; urgency=low

  * ConfigParser: accept values that are empty

 -- John Goerzen <jgoerzen@complete.org>  Mon, 14 Feb 2005 16:36:27 -0600

missingh (0.9.0) unstable; urgency=low

  * New module: MissingH.AnyDBM.  Integrated support for HashTable and
    FiniteMap.
  * New support for converting arbitrary association lists and
    finite maps two/from string.
  * New module: MissingH.AnyDBM.StringDBM that uses this new support.
  * New module: MissingH.Regex.Pesco
  * Major restructuring and cleaning up of the build system.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  1 Feb 2005 15:22:37 -0600

missingh (0.8.1) unstable; urgency=low

  * Updated to Cabal 0.4.
  * New module: MissingH.Time.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 26 Jan 2005 10:34:22 -0600
