=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: missingh
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.2.2), ghc6 (<< 6.2.3), haskell-devscripts (>= 0.5.2), libghc6-hunit-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs, haskell-devscripts (>= 0.5.2), libhugs-hunit
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.2.2), ghc6 (<< 6.2.3), haskell-devscripts (>= 0.5.6), libghc6-hunit-dev, cpphs
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200311), haskell-devscripts (>= 0.5.6), libhugs-hunit
 Standards-Version: 3.6.1
 Section: devel
 
@@ -26,7 +26,7 @@
 Package: libhugs-missingh
 Section: devel
 Architecture: all
-Depends: ${haskell:Depends}
+Depends: hugs (>= 98.200311), hugs (<< 98.200503)
 Suggests: missingh-doc
 Description: Library of utility functions for Haskell, Hugs package 
  MissingH is a library of all sorts of utility functions for
