## missingh 0.11.2

=== debian/changelog ===
missingh (0.11.2) unstable; urgency=low

  * Back out hide-package option in Makefile.  Closes: #309319.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 16 May 2005 06:13:10 -0500

missingh (0.11.1) unstable; urgency=low

  * Added mtl to build-depends; Control.Monad.Error was moved
    there for GHC 6.4.  Closes: #309245.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 15 May 2005 18:44:44 -0500

missingh (0.11.0) unstable; urgency=low

  * First release with full support for GHC 6.4.
  * Changed name of HUnit imports in unit tests to follow GHC 6.4 conventions.
  * Fixed unit tests for GHC 6.4 compatibility.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 May 2005 06:47:06 -0500

missingh (0.10.10) unstable; urgency=low

  * The "this time it really compiles with GHC 6.4 and I mean it" release.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  2 May 2005 07:23:03 -0500

missingh (0.10.9) unstable; urgency=low

  * GHC 6.4 compatibility: imported new Hsemail, 2005-04-29, from Peter
    Simons.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  2 May 2005 06:07:41 -0500

missingh (0.10.8) unstable; urgency=low

  * Added more error-checking to ParseDate.
  * Returned Hugs code to normal sid version.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 27 Apr 2005 07:25:54 -0500
