## missingh 0.13.0.1build1

=== Makefile ===
--- 
+++ 
@@ -20,11 +20,13 @@
 	$(wildcard MissingH/*/*/*.hs) 
 LHSSOURCES := $(wildcard MissingH/*/*.lhs) \
 	$(wildcard MissingH/*/*/*.lhs)
+TESTSOURCES := $(shell find testsrc -name "*.hs")
 O1 := $(SOURCES:.hs=.o) $(LHSSOURCES)
 OBJS := $(O1:.lhs=.o)
 LHSCONVSOURCES := $(patsubst %.lhs,doctmp/%.hs,$(LHSSOURCES))
 HUGSCONVSOURCES := $(patsubst %.hs,dist/build/%.hs,$(SOURCES))
 UNLIT ?= $(shell ghc --print-libdir)/unlit
+GHCPARMS := -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -cpp
 
 .PHONY: all hugsbuild
 all: setup			# GHC build
@@ -44,17 +46,6 @@
 
 doctmp:
 	mkdir doctmp
-
-#libmissingH.a: $(OBJS)
-#	-rm -f libmissingH.a
-#	ar q libmissingH.a $(OBJS)
-
-#%.o: %.hs
-#	ghc -O2 -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -ilibsrc --make `echo $< | sed -e s,libsrc/,, -e s,.hs$$,, -e s,/,.,g`
-#
-#%.o: %.lhs
-#	ghc -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -ilibsrc --make `echo $< | sed -e s,libsrc/,, -e s,.lhs$$,, -e s,/,.,g`
-#
 
 .PHONY: doc
 doc: $(LHSCONVSOURCES) hugsbuild
@@ -81,20 +72,11 @@
 	cat .installed-pkg-config >> local-pkg
 	echo "]" >> local-pkg
 
-testsrc/runtests: local-pkg $(SOURCES) $(LHSSOURCES)
-	ghc6 -O2 -o testsrc/runtests -Ldist/build -odir dist/build \
-           -package-conf local-pkg \
-           -hidir dist/build -idist/build -itestsrc \
-	   -fallow-overlapping-instances -fglasgow-exts \
-	   -fallow-undecidable-instances \
-                -package HUnit -package MissingH --make testsrc/runtests.hs
-
-
-#testsrc/runtests: all $(shell find testsrc -name "*.hs")
-#	ghc6 -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -package HUnit --make -o testsrc/runtests -itestsrc -ilibsrc testsrc/runtests.hs
+testsrc/runtests: all $(wildcard testsrc/*.hs) $(wildcard testsrc/*/*.hs) $(wildcard testsrc/*/*/*.hs)
+	cd testsrc && ghc --make -package mtl -package HUnit $(GHCPARMS) -o runtests  -i../dist/build:.. runtests.hs
 
 test-ghc6: testsrc/runtests
-	testsrc/runtests 
+	testsrc/runtests
 
 test-hugs: hugsbuild
 	runhugs -98 +o -P$(PWD)/dist/build:$(PWD)/testsrc: testsrc/runtests.hs
@@ -103,7 +85,7 @@
 	hugs -98 +o -P$(PWD)/dist/build:
 
 interact-ghci: all
-	ghci -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts
+	ghci -idist/build -Ldist/build $(GHCPARMS)
 
 interact: interact-hugs
