=== debian/changelog ===
missingh (0.13.0.1build1) dapper; urgency=low

  * Rebuild for registered/unregistered changes of ghc6 on amd64/sparc.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat,  8 Apr 2006 23:05:01 +0200

missingh (0.13.0.1) dapper; urgency=low

  * Fake sync from sid, UVF exception granted by mdz.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 16 Mar 2006 22:51:06 +1100

missingh (0.13.1) unstable; urgency=low

  * Note Build-Depends on HUnit in MissingH.Cabal.  Closes: #356196.
  * MissingH.IO.HVIO: No longer return EOFError when vGetContents called
    at EOF, for compatibility with hGetContents.  Reported by
    Bulat Ziganshin.
  * MissingH.IO.HVFS.Utils: Applied suggestion from Bulat
    to make recursiveRemove cleaner.
  * MissingH.IO.HVIO: Minor bugfixes suggested by Bulat.
  * Updated, fixed typos, and enhanced various docs.
  * testsrc/Listtest: Added unit tests for spanList
  * MissingH.List: Replaced implementation of spanList with one
    suggested by Bulat.
  * Added ghc6 (>= 6.4.1) to Debian build-depends.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 11 Mar 2006 12:26:03 -0600

missingh (0.13.0) unstable; urgency=low

  * This release introduces some API changes that will affect 
    a small percentage of programmers that use ConfigParser.
  * This release requires GHC 6.4.x or Hugs 2005xx or above.
    This has been noted in INSTALL.
  * MissingH.List: Committed some patches from Bulat Ziganshin
    to improve performance.
  * New function MissingH.List.subIndex based on suggestion
    from Bulat Ziganshin.  Also added tests for it.
  * New module MissingH.Map, similar to MissingH.FiniteMap but for
    Data.Map instead of Data.FiniteMap.  Also added tests for
    MissingH.Map.
  * New module MissingH.AnyDBM.MapDBM, plus tests for it.
    Converted from MissingH.AnyDBM.FiniteMapDBM.
  * Converted these modules to use MVars instead of IORefs:
    + MissingH.Logging.Logger
  * Converted these modules to use Data.Map instead of Data.FiniteMap:
    + MissingH.Logging.Logger
    + MissingH.MIMETypes
    + MissingH.ConfigParser (exposes an API change to a few people)
  * Converted these modules to use Text.Printf instead of MissingH.Printf:
    + MissingH.IO.HVFS.Utils
    + MissingH.Network.FTP.Server
  * Added deprecation warnings to these modules:
    + MissingH.FiniteMap (deprecation of Data.FiniteMap)
    + MissingH.AnyDBM.FiniteMapDBM (deprecation of Data.FiniteMap)
    + MissingH.Printf (introduction of Text.Printf)
  * Added deprecation warnings for two specific functions in
    MissingH.Str: subRe and splitRe.  I had submitted the code for
    these to fptools, and the current releases of GHC and Hugs have
    Text.Regex.subRegex and splitRegex using the code for MissingH.
    Therefore, these functions in MissingH are deprecated in favor of
    the implementations in the standard library.
  * Added locking to StringDBM for thread safety improvements
  * Merry Christmas!

 -- John Goerzen <jgoerzen@complete.org>  Mon, 26 Dec 2005 15:24:13 -0600

missingh (0.12.3) unstable; urgency=low

  * Make StreamHandler now lock by default.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 25 Dec 2005 22:33:16 -0600

missingh (0.12.2) unstable; urgency=low

  * Made generic unit tests available.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  9 Dec 2005 05:03:10 -0600

missingh (0.12.1) unstable; urgency=low

  * Update for GHC 6.4.1.
  * Updated standards-version.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 16 Oct 2005 23:31:43 -0500

missingh (0.12.0) unstable; urgency=low

  * Added simplegrap.hs example
  * New module: MissingH.Daemon, to support detaching from a
    controlling terminal
  * Fixes to make docs work with Haddock 0.7
  * New function in MissingH.Maybe: forceMaybeMsg
  * HVIO and HVFS now provide abstractions for binary I/O
  * MissingH.IO.Binary now uses HVIO/HVFS abstractions instead of being
    tied to Handles
  * MissingH.IO.Binary can now work with Strings or [Word8], instead of
    just Strings.
  * MissingH.IO.Binary.hBlockCopy optimized to require no conversion
    of the buffer.
  * Updated MissingH.IO.BlockIO to upstream version 2005-02-14
  * Updated MissingH.Threads.Child and Timeout to upstream version 2005-02-14

 -- John Goerzen <jgoerzen@complete.org>  Mon, 10 Oct 2005 05:50:02 -0500

missingh (0.11.5) unstable; urgency=low

  * Added lazyMapM to MissingH.IO

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Aug 2005 22:03:31 -0500

missingh (0.11.4) unstable; urgency=low

  * Added bracketCWD, brackettmpdirCWD to MissingH.Path
  * Made MissingH.Path.recurseDir* lazy

 -- John Goerzen <jgoerzen@complete.org>  Mon, 15 Aug 2005 05:52:15 -0500

missingh (0.11.3) unstable; urgency=low

  * Now added support for use on Windows.
  * New modules: StatCompat, WindowsCompat, FilePath, PlafCompat,
    PosixConsts.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 22 Jul 2005 05:27:03 -0500
