=== debian/changelog ===
missingh (0.14.5) unstable; urgency=low

  * New function: MissingH.Cmd.posixRawSystem
  * MissingH.Cmd.safeSystem now implemented in terms of posixRawSystem 
    on supported platforms.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  4 Jul 2006 11:34:49 -0500

missingh (0.14.4) unstable; urgency=low

  * Fix a bug in ConfigParser.merge and write a test for it.
  * Rebuilt with GHC 6.4.2

 -- John Goerzen <jgoerzen@complete.org>  Wed, 28 Jun 2006 14:05:56 -0500

missingh (0.14.3) unstable; urgency=low

  * IO/StatCompat: Fixed missing Data.Bits import on mingw32 
  * Updated COPYING file with new FSF address
  * Cmd.hs: Commented out code that was never used
  * Import new package MD5 0.2.7 from Ian Lynagh

 -- John Goerzen <jgoerzen@complete.org>  Wed, 28 Jun 2006 03:48:24 -0500

missingh (0.14.2) unstable; urgency=low

  * ConfigParser gives more helpful error messages when possible --
    it now includes section and option in most error messages
  * Unit tests updated for new ConfigParser output
  * MissingH.Str: New function escapeRe that takes a string and makes
    a regular expression that matches the string literally.
  * MissingH.IO.HVFS: New function vDoesExist
  * MissingH.List: New function hasAny
  * New modules: MissingH.Path.Glob and MissingH.Path.WildMatch
    and tests for them
  * 716 total unit tests now

 -- John Goerzen <jgoerzen@complete.org>  Thu, 13 Apr 2006 00:14:10 -0500

missingh (0.14.0) unstable; urgency=low

  * New function splitWs
  * Loggers: When creating new loggers, use the new parent for defaults
    when possible. [API change]
  * Logger handlers: Now pass the calling logger name to handlers.
    [API change]
  * New log handler: verboseStreamHandler
  * Syslog handler also includes priority and logger name for each message.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  4 Apr 2006 05:31:15 -0500
