=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 build-stamp: configure-stamp 
 	dh_testdir
 
-	make test-ghc6
+	#make test-ghc6
 	# Add here commands to compile the package.
 	touch build-stamp
 
@@ -67,13 +67,14 @@
 
 	# Add here commands to install the package into debian/tmp
 	dh_haskell -a
+	make test-ghc6
 
 builddocs: builddocs-stamp
 builddocs-stamp:
 	dh_testdir
 
 	make doc
-	make test-hugs
+	#make test-hugs
 
 installdocs: builddocs
 	dh_testdir
@@ -82,12 +83,13 @@
 	dh_installdirs -i
 
 	dh_haskell -i
+	make test-hugs
 
 # Build architecture-independent files here.
 binary-indep: builddocs installdocs
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog -i
+	dh_installchangelogs -i
 	dh_installdocs -i
 	dh_installexamples -i
 #	dh_install
@@ -118,7 +120,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog -a
+	dh_installchangelogs -a
 	dh_installdocs -a
 	dh_installexamples -a
 #	dh_install
