=== debian/changelog ===
missingh (0.18.0) unstable; urgency=low

  * Major API changes in this release; several large modules being
    split off into separate packages.  See 
    http://software.complete.org/missingh/wiki/TransitionPlanning
    for details.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  7 Dec 2006 06:13:58 -0600

missingh (0.16.3) unstable; urgency=low

  * New version
  * New module MissingH.ProgressTracker which tracks the progress
    of long-running tasks.  It can also give estimated time to completion
    and overall speed statistics, as well as support dividing a task
    into many subtasks.
  * New module MissingH.ProgressMeter which displays one or more
    ProgressTrackers as a status bar on a console.
  * New module MissingH.Quantity which renders numbers according
    to a quantification system such as SI or binary
  * New functions forkRawSystem and pOpen3Raw in MissingH.Cmd.  Instead
    of taking functions to run as actions, instead returns the PID
    of the child process and leaves it up to the programmer to properly
    handle the result.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Nov 2006 05:52:08 -0600
