## missingh 0.18.6

=== debian/changelog ===
missingh (0.18.6) unstable; urgency=low

  * Rebuild for newer GHC 6.6.1.  Closes: #427769.
  * Removed Hugs support due to lack of regex.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 15 Jun 2007 02:32:41 -0500

missingh (0.18.5) unstable; urgency=low

  * Update for GHC 6.6.1.
  * Update hugs build-dep for hugs 98.200609.21.  Closes: #419440.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 01 Jun 2007 02:54:53 -0500

missingh (0.18.4) unstable; urgency=low

  * Rebuilt with new filepath.  Closes: #319113.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 13 Apr 2007 03:37:37 -0500

missingh (0.18.3) unstable; urgency=low

  * Fixed bug in globbing
  * Fixed hugs dependency

 -- John Goerzen <jgoerzen@complete.org>  Thu,  8 Mar 2007 04:10:43 -0600

missingh (0.18.2) unstable; urgency=low

  * Also fixed hugs HUnit dep (0.18.1 fixed the build-dep only).
    Closes: #412146.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 24 Feb 2007 08:04:02 -0600

missingh (0.18.1) unstable; urgency=low

  * Fixed hugs HUnit dep.  Closes: #409681.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 22 Feb 2007 06:58:05 -0600
